Name:			splint
Version:		3.1.2
Release:		1
Summary:		An implementation of the lint program

Group:			Development/Tools
License:		GPLv2+
URL:			http://www.splint.org/
Source0:		http://www.splint.org/downloads/%{name}-%{version}.src.tgz
Patch0:			%{name}-%{version}-aix.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:		flex

%description
Splint is a tool for statically checking C programs for coding errors and
security vulnerabilities. With minimal effort, Splint can be used as a
better lint. If additional effort is invested adding annotations to programs,
Splint can perform even stronger checks than can be done by any standard lint.


%prep
%setup -q
%patch0
chmod 644 doc/manual.pdf
cp -p src/.splintrc splintrc.demo

cd src
# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
./configure \
    --prefix=%{_prefix}

# parallel builds seem to fail
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README doc/manual.pdf splintrc.demo
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_datadir}/%{name}
/usr/bin/*


%changelog
* Fri Jul 13 2012 Michael Perzl <michael@perzl.org> - 3.1.2-1
- first version for AIX V5.1 and higher
